Bug 818473 - Missing /usr/share/java/postgresql-jdbc.jar when running cpdb --update
Missing /usr/share/java/postgresql-jdbc.jar when running cpdb --update
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jesus M. Rodriguez
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 03:59 EDT by Ivan Necas
Modified: 2015-05-14 10:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 09:03:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Necas 2012-05-03 03:59:07 EDT
Description of problem:

when running /usr/share/candlepin/cpdb --update after updating candlepin rpm pacakge I'm getting:


Command output: Liquibase Update Failed: /usr/share/java/postgresql-jdbc.jar doe
s not exist
SEVERE 5/3/12 9:51 AM:liquibase: /usr/share/java/postgresql-jdbc.jar does not ex
ist
liquibase.exception.CommandLineParsingException: /usr/share/java/postgresql-jdbc
.jar does not exist

Version-Release number of selected component (if applicable):


Additional info:

It seems candlepin needs to add postgresql-jdbc to it's dependencies to work correctly.
Comment 1 Lukas Zapletal 2012-05-21 07:11:21 EDT
Urgent, blocks katello installer.
Comment 2 Bryan Kearney 2012-05-21 09:46:23 EDT
0.5.30 has this in the requires. Why is not being picked up?
Comment 3 Jesus M. Rodriguez 2012-05-21 10:32:41 EDT
Fedora and RHEL builds are segmented in the spec file with %if macros.
Moving liquibase and postgesql-jdbc to the common area used by both rpms.
Comment 4 Jesus M. Rodriguez 2012-05-21 12:38:01 EDT
Moved Requires for liquibase and postgresql-jdbc to be included for both RHEL and Fedora.
Comment 6 Bryan Kearney 2012-07-17 09:03:57 EDT
Marking all community bugs modified or beyong as closed.

Note You need to log in before you can comment on or make changes to this bug.